Subject: [RFC PATCH 03/11] DT: regulator: Helper routine to extract regulator_init_data

From: [email-masked] (Rajendra Nayak)
Date: Fri, 16 Sep 2011 12:45:55 +0530

On Thursday 15 September 2011 07:14 PM, Mark Brown wrote:
> On Thu, Sep 15, 2011 at 04:51:59PM +0530, Rajendra Nayak wrote:
>
>>   .../devicetree/bindings/regulator/regulator.txt    |   37 +++++++++
>>   drivers/of/Kconfig                                 |    6 ++
>>   drivers/of/Makefile                                |    1 +
>>   drivers/of/of_regulator.c                          |   85 ++++++++++++++++++++
>>   include/linux/of_regulator.h                       |   23 +++++
>
> Don't go hiding the bindings for things away from the code they're
> binding.  Bindings for the regualtor API are a regulator API thing and
> should be part of the regulator API code.

Sure, Grant seems to think so too, so I'll just move these into
drivers/regulator/

>
>> +Required properties:
>> +- compatible: Must be "regulator";
>
> Is this idiomatic or should we just have a helper that parses a big list
> of properties from the device node?

I will just be dropping this and use compatible
to specify the specific device type like "regulator-twl" or 
"regulator-fixed".

>
>> +- mode-fast: boolean, Can handle fast changes in its load
>> +- mode-normal: boolean, Normal regulator power supply mode
>> +- mode-idle: boolean, Can be more efficient during light loads
>> +- mode-standby: boolean, Can be most efficient during light loads
>
> I guess these are actually permissions to set the given modes?  The
> documentation should be clearer.

Ok

>
>> +- apply-uV: apply uV constraint if min == max
>
> This seems a bit Linux/runtime policy specific (especially the last
> bit).

So these bindings should be defined differently?